----------------------------------------------------
--  COMS W4115 PLT - 2014 Spring Term Project
--              HL-HDL compiler
--             Woon Lee (wgl2107)
----------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use work.globals.all;
use work.lib_comp.all;


ENTITY test5_top_tb is

end ENTITY test5_top_tb;

ARCHITECTURE behavioral of test5_top_tb is

COMPONENT test5_top is
port (
	rst : in  std_logic;
	csn : in  std_logic;
	oen : in  std_logic;
	wrn : in  std_logic;
	addr : in std_logic_vector(7 downto 0);
	rd_str : out std_logic_vector(3 downto 0);
	wr_str : out std_logic_vector(3 downto 0)
);
end COMPONENT;

	signal rst :  std_logic;
	signal csn :  std_logic;
	signal oen :  std_logic;
	signal wrn :  std_logic;
	signal addr : std_logic_vector(7 downto 0);
	signal rd_str : std_logic_vector(3 downto 0);
	signal wr_str : std_logic_vector(3 downto 0);

begin

inst_test5_top : test5_top
	port map(
		rst => rst,
		csn => csn,
		oen => oen,
		wrn => wrn,
		addr => addr,
		rd_str => rd_str,
		wr_str => wr_str
	);



end;

